Loading...
Searching...
No Matches
Opm::BoundaryFaceInfo Struct Reference

`#include <BoundaryPeriodicity.hpp>`

## Public Member Functions

bool | operator< (const BoundaryFaceInfo &other) const
| Comparison operator.

## Public Attributes

int | face_index
| Face index in [0, ..., #faces - 1].
int | bid
| Boundary id of this face.
int | canon_pos
| Canonical position of face: 0 -> xmin 1 -> xmax 2 -> ymin 3 -> ymax ...
int | partner_face_index
| Face index of periodic partner, or -1 if no partner.
int | partner_bid
| Boundary id of periodic partner face, or 0 if no parner.
double | area
| Face area.
Dune::FieldVector< double, 3 > | centroid
| Face centroid.

## Detailed Description

Todo
  Doc me!

## Member Function Documentation

## operator<()

bool Opm::BoundaryFaceInfo::operator< | ( | const BoundaryFaceInfo & | other | ) | const

inline

Comparison operator.

Intended to make periodic partners appear close in sorted order, but this is only a heuristic.

The documentation for this struct was generated from the following file:

- opm/porsol/common/BoundaryPeriodicity.hpp